/*
 *    (c) Copyright 2004  Uwe Steinmann.
 *    All rights reserved.
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the
 *    Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *    Boston, MA 02111-1307, USA.
 */

#ifndef __PS_STRBUF_H__
#define __PS_STRBUF_H__

struct str_buffer_ {
	char *buffer;
	size_t cur;
	size_t size;
};

typedef struct str_buffer_ STRBUFFER;

STRBUFFER *str_buffer_new(PSDoc *psdoc, size_t size);
void str_buffer_delete(PSDoc *psdoc, STRBUFFER *sb);
size_t str_buffer_print(PSDoc *psdoc, STRBUFFER *sb, const char *fmt, ...);
size_t str_buffer_write(PSDoc *psdoc, STRBUFFER *sb, const char *data, size_t size);
const char *str_buffer_get(PSDoc *psdoc, STRBUFFER *sb);
size_t str_buffer_len(PSDoc *psdoc, STRBUFFER *sb);
void str_buffer_clear(PSDoc *psdoc, STRBUFFER *sb);

#endif
